RarEntry::isEncrypted
RarException
RarEntry
PHP Manual

# RarEntry::__toString

(PECL rar >= 2.0.0)

RarEntry::__toString — Get text representation of entry

### Description

public string RarEntry::__toString ( void )

RarEntry::__toString() returns a textual representation for this entry. It includes whether the entry is a file or a directory (symbolic links and other special objects will be treated as files), the UTF-8 name of the entry and its CRC. The form and content of this representation may be changed in the future, so they cannot be relied upon.

### Parameters

This function has no parameters.

### Return Values

A textual representation for the entry.

RarEntry::isEncrypted
RarException
RarEntry
PHP Manual